PHP 手册
上一页 |  | 下一页

# constant

(PHP 4 >= 4.0.4, PHP 5)

constant -- Returns the value of a constant

## 说明

mixed constant ( string name )

Return the value of the constant indicated by `name`.

constant() is useful if you need to retrieve the value of a constant, but do not know its name. I.e. it is stored in a variable or returned by a function.

This function works also with class constants.

## 参数

`name`

  The constant name.

## 返回值

Returns the value of the constant, or `NULL` if the constant is not defined.

## 范例

例 1. constant() example

`<?php define("MAXSIZE", 100); echo MAXSIZE; echo constant("MAXSIZE"); // same thing as the previous line ?>`

## 参见

define()
defined()
The section on Constants

上一页 | 起始页 | 下一页
connection_timeout | 上一级 | define